Package ru.bitel.bgbilling.plugins.assistant.common.service

# Interface AssistantService

public interface AssistantService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `assistantActionDelete(int assistantActionId)`
  `AssistantAction`
  `assistantActionGet(int id)`
  `List<ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO>`
  `assistantActionList(int masterId)`
  `List<AssistantActionItem>`
  `assistantActions(int masterId)`
  `int`
  `assistantActionUpdate(AssistantAction assistantAction)`
  `void`
  `assistantMasterActionLinkDelete(int masterId, int actionId)`
  `void`
  `assistantMasterActionLinkUpdate(int masterId, int actionId)`
  `int`
  `assistantMasterDelete(int assistantMasterId)`
  `AssistantMaster`
  `assistantMasterGet(int assistantMasterId, boolean loadIconData)`
  `List<ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO>`
  `assistantMasters()`
  `List<AssistantMaster>`
  `assistantMastersForUser(Set<String> modes, int contractId)`
  `AssistantMaster`
  `assistantMasterUpdate(AssistantMaster assistantMaster)`
  `String`
  `doButton(int masterId, String actionId, String data, String button)`
  `String`
  `doShow(int masterId, String actionId, String data)`
  `AssistantAction`
  `getAssistantActionByActionId(int masterId, String actionId)`
  `String`
  `getInterfaceName()`
  Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
  `String`
  `getSuperclassName()`
  Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
  `void`
  `updateSortListAssistantAction(List<AssistantActionItem> assistantActions)`
  Обновляет значение sort для сортировки

- ## Method Details

  - ### assistantActionList

    List<ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO> assistantActionList(int masterId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantActions

    List<AssistantActionItem> assistantActions(int masterId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMastersForUser

    List<AssistantMaster> assistantMastersForUser(Set<String> modes, int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantActionGet

    AssistantAction assistantActionGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantActionUpdate

    int assistantActionUpdate(AssistantAction assistantAction) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantActionDelete

    void assistantActionDelete(int assistantActionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAssistantActionByActionId

    AssistantAction getAssistantActionByActionId(int masterId, String actionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInterfaceName

    String getInterfaceName()
    Возвращает имя интерфейса, который нужно имплементировать динамическому классу как обработчику события.
    Returns:

  - ### getSuperclassName

    String getSuperclassName()
    Возвращает имя суперкласса, который может имплементировать динамический класс-обработчик события.
    Returns:

  - ### doShow

    String doShow(int masterId, String actionId, String data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doButton

    String doButton(int masterId, String actionId, String data, String button) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateSortListAssistantAction

    void updateSortListAssistantAction(List<AssistantActionItem> assistantActions) throws ru.bitel.bgbilling.common.BGException
    Обновляет значение sort для сортировки
    Parameters:
      `assistantActions` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasters

    List<ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantMasterDTO> assistantMasters() throws ru.bitel.bgbilling.common.BGException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasterGet

    AssistantMaster assistantMasterGet(int assistantMasterId, boolean loadIconData) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `assistantMasterId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasterUpdate

    AssistantMaster assistantMasterUpdate(AssistantMaster assistantMaster) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `assistantMaster` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasterDelete

    int assistantMasterDelete(int assistantMasterId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `assistantMasterId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasterActionLinkUpdate

    void assistantMasterActionLinkUpdate(int masterId, int actionId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `masterId` -
      `actionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### assistantMasterActionLinkDelete

    void assistantMasterActionLinkDelete(int masterId, int actionId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `masterId` -
      `actionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`